data:extend({
	{
        type = "logistic-container",
        name = "logistic-gun-turret",
        icon = "__Logistic-Gun-Turret__/graphics/gun-turret-icon.png",
        flags = {"placeable-player", "player-creation"},
        minable = {mining_time = 0.5, result = "logistic-gun-turret"},
        max_health = 400,
        corpse = "small-remnants",
        collision_box = {{-0.7, -0.7}, {0.7, 0.7}},
        selection_box = {{-1, -1 }, {1, 1}},
        fast_replaceable_group = "gun-turret",
        inventory_size = 1,
        logistic_mode = "requester",
        picture =
        {
            filename = "__Logistic-Gun-Turret__/graphics/gun-turret-base.png",
            priority = "low",
            width = 90,
            height = 75,
            axially_symmetrical = false,
            direction_count = 1,
            shift = {0.0625, -0.046875},
        },
        circuit_wire_max_distance = 7.5
    },
	{
        type = "item",
        name = "logistic-gun-turret",
        icon = "__Logistic-Gun-Turret__/graphics/gun-turret-icon.png",
        flags = {"goes-to-quickbar"},
        subgroup = "defensive-structure",
        order = "b[turret]-a[logistic-gun-turret]",
        place_result = "logistic-gun-turret",
        stack_size = 50
    },
	{
		type = "recipe",
		name = "logistic-gun-turret",
		enabled = false,
		energy_required = 10,
		ingredients =
		{
			{"gun-turret", 1},
			{"logistic-chest-requester", 1},
			{"steel-plate", 10},
			{"electronic-circuit", 3}
		},
		result = "logistic-gun-turret"
	},
	{
	    type = "technology",
	    name = "logistic-turrets",
	    icon = "__Logistic-Gun-Turret__/graphics/turrets.png",
	    icon_size = 128,
	    effects =
	    {
	      	{
	        	type = "unlock-recipe",
				recipe = "logistic-gun-turret"
	      	}
	    },
	    prerequisites = {"turrets","logistic-system"},
	    unit =
	    {
	    	count = 100,
			ingredients = {{"science-pack-1", 1},{"science-pack-2", 1},{"science-pack-3", 1}},
			time = 10
	    },
	    order = "a-j-b"
	},
})